Page MenuHomePhabricator

[AVR] Add the machine code emitter
ClosedPublic

Authored by dylanmckay on Oct 7 2016, 7:28 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

dylanmckay updated this revision to Diff 74010.Oct 7 2016, 7:28 PM
dylanmckay retitled this revision from to [AVR] Add the machine code emitter.
dylanmckay updated this object.
dylanmckay added reviewers: kparzysz, arsenm.
dylanmckay added subscribers: llvm-commits, japaric.
dylanmckay updated this revision to Diff 74011.Oct 7 2016, 7:30 PM

Register the machine code emitter

kparzysz added inline comments.Oct 24 2016, 12:45 PM
lib/Target/AVR/MCTargetDesc/AVRMCCodeEmitter.cpp
160 ↗(On Diff #74011)

Line too long.

191 ↗(On Diff #74011)

No else after return.

254 ↗(On Diff #74011)

No else after return, here and below.

dylanmckay marked 3 inline comments as done.

Code review from Krzysztof

  • Don't go over 80 columns
  • No returns in else blocks
kparzysz accepted this revision.Oct 26 2016, 7:15 AM
kparzysz edited edge metadata.
This revision is now accepted and ready to land.Oct 26 2016, 7:15 AM
This revision was automatically updated to reflect the committed changes.